
% Rozwiązywanie równań różniczkowych
% Zmiana położenia ciała zawieszonego na sprężynie.

syms x(t)
syms m c k g positive

clc

% równanie różniczkowe opisujące ruch masy "m" 
% na sprężynie o sprężystości "k" z tłumieniem "c"
% niewiadoma funkca x(t) opisuje wychylenia ciała
E = m*diff(x,t,2) + c*diff(x,t) + k*x == m*g

% pochodna funkcji x(t)
% niezbędna do sformułowania warunku początkowego (patrz poniżej)
Dx(t) = diff(x(t),t);

% rozwiązanie równania "E"
X(t) = dsolve(E, [x(0)==0, Dx(0)==0]);
pretty(X)

% Podstawienie wartości współczynników i wykres funkcji x(t)
% (patrz przykład modelu w Simulink na wykładzie 02)
X(t) = subs(X,[m, c, k, g], [2, 2, 15, 9.81]);
fplot(X(t),[0,20])